Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.knowgate.lucene
Class ContactIndexer

    java.lang.Object
      com.knowgate.lucene.Indexer
          com.knowgate.lucene.ContactIndexer

    public class ContactIndexer

extends Indexer

Indexer subclass for hipergate contact

Field Summary

Fields inherited from class com.knowgate.lucene.Indexer
`DEFAULT_ANALYZER`

Constructor Summary
`ContactIndexer()`

Method Summary
`static void` | `addDocument(IndexWriter oIWrt, ContactRecord contact)` Add contact to index
`static void` | `addDocument(IndexWriter oIWrt, java.lang.String sContact, java.lang.String sWorkArea, JDCConnection oConn)` Se añade un contacto por su identificador unico
`static void` | `addOrReplaceContact(java.util.Properties oProps, java.lang.String sGuid, java.lang.String sWorkArea, JDCConnection oConn)`
`static int` | `deleteContact(java.lang.String sWorkArea, java.util.Properties oProps, java.lang.String sGuid)` Delete a bug with a given GUID

Methods inherited from class com.knowgate.lucene.Indexer
`add, add, add, delete, main, optimize, rebuild, rebuild`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ContactIndexer

    public ContactIndexer()

Method Detail

### addDocument

    public static void addDocument(IndexWriter oIWrt,
                                   ContactRecord contact)
                            throws java.lang.ClassNotFoundException,
                                   java.io.IOException,
                                   java.lang.IllegalArgumentException,
                                   java.lang.NoSuchFieldException,
                                   java.lang.IllegalAccessException,
                                   java.lang.InstantiationException,
                                   java.lang.NullPointerException

  Add contact to index

  Parameters:
    `oIWrt` -
    `sGuid` -
    `sWorkArea` -
    `sName` -
    `sSurname` -
    `sKey` -
    `sValue` -
    `sLevel` -
    `sLanguage` -
  Throws:
    `java.lang.ClassNotFoundException`
    `java.io.IOException`
    `java.lang.IllegalArgumentException`
    `java.lang.NoSuchFieldException`
    `java.lang.IllegalAccessException`
    `java.lang.InstantiationException`
    `java.lang.NullPointerException`

### addDocument

    public static void addDocument(IndexWriter oIWrt,
                                   java.lang.String sContact,
                                   java.lang.String sWorkArea,
                                   JDCConnection oConn)
                            throws java.lang.ClassNotFoundException,
                                   java.io.IOException,
                                   java.lang.IllegalArgumentException,
                                   java.lang.NoSuchFieldException,
                                   java.lang.IllegalAccessException,
                                   java.lang.InstantiationException,
                                   java.lang.NullPointerException,
                                   java.sql.SQLException

  Se añade un contacto por su identificador unico

  Parameters:
    `oIWrt` -
    `contact` -
  Throws:
    `java.lang.ClassNotFoundException`
    `java.io.IOException`
    `java.lang.IllegalArgumentException`
    `java.lang.NoSuchFieldException`
    `java.lang.IllegalAccessException`
    `java.lang.InstantiationException`
    `java.lang.NullPointerException`
    `java.sql.SQLException`

### addOrReplaceContact

    public static void addOrReplaceContact(java.util.Properties oProps,
                                           java.lang.String sGuid,
                                           java.lang.String sWorkArea,
                                           JDCConnection oConn)
                                    throws java.lang.ClassNotFoundException,
                                           java.io.IOException,
                                           java.lang.IllegalArgumentException,
                                           java.lang.NoSuchFieldException,
                                           java.lang.IllegalAccessException,
                                           java.lang.InstantiationException,
                                           java.lang.NullPointerException,
                                           java.sql.SQLException

  Throws:
    `java.lang.ClassNotFoundException`
    `java.io.IOException`
    `java.lang.IllegalArgumentException`
    `java.lang.NoSuchFieldException`
    `java.lang.IllegalAccessException`
    `java.lang.InstantiationException`
    `java.lang.NullPointerException`
    `java.sql.SQLException`

### deleteContact

    public static int deleteContact(java.lang.String sWorkArea,
                                    java.util.Properties oProps,
                                    java.lang.String sGuid)
                             throws java.lang.IllegalArgumentException,
                                    java.lang.NoSuchFieldException,
                                    java.lang.IllegalAccessException,
                                    java.io.IOException,
                                    java.lang.NullPointerException

  Delete a bug with a given GUID

  Parameters:
    `oProps` - Properties Collection containing luceneindex directory
    `sGuid` - Bug GUID
  Returns:
    Number of documents deleted
  Throws:
    `java.lang.IllegalArgumentException` - If sTableName is not one of { k_bugs, k_newsmsgs, k_mime_msgs }
    `java.lang.NoSuchFieldException` - If luceneindex property is not found at oProps
    `java.lang.IllegalAccessException`
    `java.io.IOException`
    `java.lang.NullPointerException` - If sGuid is null

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD